<!DOCTYPE html>
{% load staticfiles %}
{% load i18n %}
<html lang="en">
<head>
  <title>Core lab project</title>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/css/bootstrap.min.css">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/js/bootstrap.min.js"></script>
  <script src="https://code.highcharts.com/highcharts.src.js"></script>
  <style>
    /* Set height of the grid so .sidenav can be 100% (adjust if needed) */
    .row.content {height: 1500px}
    
    /* Set gray background color and 100% height */
    .sidenav {
      background-color: #f1f1f1;
      height: 100%;
    }
    
    /* Set black background color, white text and some padding */
    footer {
      background-color: #555;
      color: white;
      padding: 15px;
    }
    
    /* On small screens, set height to 'auto' for sidenav and grid */
    @media screen and (max-width: 767px) {
      .sidenav {
        height: auto;
        padding: 15px;
      }
      .row.content {height: auto;} 
    }
  </style>
</head>
<body>
<div class="container-fluid">
  <div class="row content">
    <div class="col-sm-3 sidenav">
      <h4 style="padding: 20px;background-color: rgba(60,60,60,1);color: rgb(255,255,255);border-radius: 5px;">Covid19-India Analysis</h4>
      <ul class="nav nav-pills nav-stacked">
        <li ><a href="{% url 'state_wise_graph' %}">State wise cases</a></li>
        <li><a href="{% url 'positive_case' %}">Positive vs Tested %</a></li>
        <li><a href="{% url 'gender_wise_graph' %}">Gender wise</a></li>
        <li class="active"><a href="{% url 'age_wise_graph' %}">Age wise</a></li>
      </ul><br>
    </div>

    <div class="col-sm-9" >
      
      <h4 style=" padding:44px;background-color: rgb(60,60,60);color: rgb(255,255,255);border-radius: 5px;"><BIG>Core Lab-II (CSP552) Project |  Submitted to: Dr. Shelly Sachdeva</Big></h4>
      

      <div id="container"></div>
     <footer class="container-fluid"  style="border-radius: 5px;">
  <p>Submitted by : Naveen Bhatt | 192211010</p>
</footer>
    </div>
  </div>
</div>



  <script>

    $(document).ready(function(){

      Highcharts.chart('container', {
        chart: {
            type: 'column'
        },
        title: {
            text: 'Age wise Analysis'
        },
        xAxis: {
            categories: {{age_groups|safe}}
        },
        series: [{
            name: 'Active',
            data: {{hospitalized}}
        }, {
            name: 'Recovered',
            data: {{recovered}}
        }, {
            name: 'Deceased',
            data: {{deceased}}
        }
        ]
    });
  
});

    
  </script>
</body>
</html>
